local addon, ns = ...

local bar = G13CastBar
bar:SetSize(200, 20)

local frame = CreateFrame("Frame")
frame:RegisterEvent("ADDON_LOADED")
frame:SetScript("OnEvent", function(self)
	if ns.cfg.CastBarDisable == false then
		CastingBarFrame:SetParent(bar)

		local function SetPosition(frame)
			frame:ClearAllPoints()
			frame:SetPoint("CENTER", bar, "CENTER", 0, 0)
		end

		CastingBarFrame:HookScript("OnLoad", function(self)
			SetPosition(self)
		end)

		CastingBarFrame:HookScript("OnEvent", function(self)
			SetPosition(self)
		end)

		CastingBarFrame:HookScript("OnUpdate", function(self)
			SetPosition(self)
		end)

		CastingBarFrame:HookScript("OnShow", function(self)
			SetPosition(self)
		end)
	end
end)