local addon, ns = ...

local bar = G13MenuBar
bar:SetSize(290, 41)

ns.MenuButtons = {
	CharacterMicroButton,
	SpellbookMicroButton,
	TalentMicroButton,
	AchievementMicroButton,
	QuestLogMicroButton,
	GuildMicroButton,
	LFDMicroButton,
	CollectionsMicroButton,
	EJMicroButton,
	StoreMicroButton,
	MainMenuMicroButton,
	HelpMicroButton
}

local function SetMicroButtons()
	CharacterMicroButton:ClearAllPoints()
	CharacterMicroButton:SetPoint("BOTTOMLEFT", bar, 3, 2) 
end

local function ReParent()
	ns.MoveElements(ns.MenuButtons, bar)
end

hooksecurefunc("UpdateMicroButtonsParent", function() 
	ReParent()
end)

hooksecurefunc("UpdateMicroButtons", function() 
	SetMicroButtons()
end)

ReParent()
SetMicroButtons()